package com.yuqirong.zoomlistview.activity;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ImageView;

import com.yuqirong.zoomlistview.R;
import com.yuqirong.zoomlistview.view.ZoomListView;

public class MainActivity extends AppCompatActivity {

	private ZoomListView plv_main;
	private ArrayAdapter<String> adapter;
	public static final String[] INDEX_ARRAYS = new String[] { "#", "A", "B",
			"C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O",
			"P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z" };
	private ImageView iv;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		initView();
	}

	private void initView() {
		plv_main = (ZoomListView) findViewById(R.id.plv_main);
		adapter = new ArrayAdapter<>(this, android.R.layout.simple_list_item_1,
				INDEX_ARRAYS);
		// 到顶后没有提示的蓝光
		plv_main.setOverScrollMode(View.OVER_SCROLL_NEVER);
		plv_main.setAdapter(adapter);
		plv_main.setDrawableId(R.drawable.parallax_img);

	}

}
